
-- Import our libraries.
bump = require 'libs.bump.bump'
Gamestate = require 'libs.hump.gamestate'

-- Import our Entity system.
local Entities = require 'entities.Entities'
local Entity = require 'entities.Entity'

-- Create our Gamestate
local gameLevel1 = {}

-- Import the Entities we build.
local Player = require 'entities.player'
local Ground = require 'entities.ground'

-- Declare a couple immportant variables
player = nil
world = nil

function gameLevel1:enter()
  -- Game Levels do need collisions.
  world = bump.newWorld(16) -- Create a world for bump to function in.

  -- Initialize our Entity System
  Entities:enter()
  player = Player(world, 100, 50)
  ground_0 = Ground(world, 200, love.graphics.getHeight()-250, 640, 50)
  ground_1 = Ground(world, 0, love.graphics.getHeight()-50, love.graphics.getWidth(), 50)
  ground_2 = Ground(world, 400, 150, 640, 50)
  wall_0 = Ground(world, 0,0,50,love.graphics.getHeight())
  wall_1 = Ground(world, love.graphics.getWidth()-50 ,0,50,love.graphics.getHeight())

  -- Add instances of our entities to the Entity List
  Entities:addMany({player, ground_0, ground_1, wall_0, ground_2, wall_1})

  -- Camera?
  -- camera = Camera(player)
end

function gameLevel1:update(dt)
  Entities:update(dt) -- this executes the update function for each individual Entity

end

function gameLevel1:draw()
  Entities:draw() -- this executes the draw function for each individual Entity
end

return gameLevel1
