
-- Pull in Gamestate from the HUMP library
Gamestate = require 'libs.hump.gamestate'

-- Pull in each of our game states
local mainMenu = require 'gamestates.mainmenu'
local gameLevel1 = require 'gamestates.gameLevel1'
local pause = require 'gamestates.pause'

function love.load()

  Gamestate.registerEvents()
  Gamestate.switch(gameLevel1)
end

function love.keypressed(key)
  if key == "escape" then
    love.event.push("quit")
  end
  if key == "m" then
  	if Gamestate.current() == mainMenu then
  		Gamestate.switch(gameLevel1)
  	else
  		Gamestate.switch(mainMenu)
  	end
  end
  if key == "p" and Gamestate.current() ~= pause then
  	Gamestate.push(pause)
  end
end